<?xml version="1.0"?>
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>
      TextGrid : Menu Bar
    </title>
    <link rel="stylesheet" href="styles/site.css" type="text/css"/>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  </head>
  <body class="theme-default aui-theme-default">
    <div id="page">
      <div id="main" class="aui-page-panel">
        <div id="main-header">
          <div id="breadcrumb-section">
            <ol id="breadcrumbs">
              <li class="first">
                <span><a href="index.html">TextGrid</a></span>
              </li>
              <li>
                <span><a href="User-Manual-2.0_7439056.html">User Manual 2.0</a></span>
              </li>
              <li>
                <span><a href="Introduction_7439941.html">Introduction</a></span>
              </li>
              <li>
                <span><a href="User-Interface_7439164.html">User Interface</a></span>
              </li>
              <li>
                <span><a href="Bars_7439166.html">Bars</a></span>
              </li>
            </ol>
          </div>
          <h1 id="title-heading" class="pagetitle">
            <span id="title-text">TextGrid : Menu Bar</span>
          </h1>
        </div>
        <div id="content" class="view">
          <div class="page-metadata">
            Created by <span class="author">Philipp Vanscheidt</span>, last modified by <span class="editor">Kathleen Smith</span> on May 24, 2012
          </div>
          <div id="main-content" class="wiki-content group">
            <p class="noindent">
              The menu bar at the top of the screen displays some of the menu items. It consists of the following items: <strong>“File”</strong>, <strong>“Edit”</strong>, <strong>“XML”</strong>, <strong>“Tools”</strong>, <strong>“Window”</strong>, and <strong>“Help”</strong>.
            </p>
            <p class="noindent">
              Under the item labelled <strong>“File”</strong> you can manage:
            </p>
            <ul class="itemize1">
              <li class="itemize">manage <a href="Aggregations_7439234.html">Aggregations</a>
              </li>
              <li class="itemize">create, open, save, and close Projects, Objects, and local files
              </li>
              <li class="itemize">manage <a href="Revisions-and-Locking-Mechanism_7439262.html">Revisions</a>
              </li>
              <li class="itemize">
                <a href="https://wiki.de.dariah.eu/display/TextGrid/TG-publish">Publish</a><span class="cmsy-10x-x-109"> </span>
              </li>
              <li class="itemize">
                <span class="cmsy-10x-x-109">o</span>pen an Object via its URI <span class="cmsy-10x-x-109">or copy the URI</span>
              </li>
              <li class="itemize">
                <span class="cmsy-10x-x-109">manage </span><span class="cmsy-10x-x-109"> </span><a href="Metadata-Editor_7439270.html">Metadata</a><span class="stmary-10x-x-109"> </span>
              </li>
              <li class="itemize">
                <span class="cmsy-10x-x-109"> </span><a href="Import_7439245.html">Import</a><img class="confluence-embedded-image" src="attachments/7439169/8192203.gif" data-image-src="attachments/7439169/8192203.gif" title="011-Import-Perspektive.gif"/> and <a href="Export_7439253.html">Export</a><span class="cmsy-10x-x-109"> <img class="confluence-embedded-image" src="attachments/7439169/8192204.gif" data-image-src="attachments/7439169/8192204.gif" title="012-Export-Perspektive.gif"/></span>
              </li>
              <li class="itemize">
                <span class="cmsy-10x-x-109"> </span>hide network warnings
              </li>
              <li class="itemize">
                <span class="cmsy-10x-x-109"> </span>restart <img class="confluence-embedded-image" src="attachments/7439169/8192200.png" data-image-src="attachments/7439169/8192200.png" title="035-neustarte-TextGridLab.png"/> or exit <img class="confluence-embedded-image" src="attachments/7439169/8192202.png" data-image-src="attachments/7439169/8192202.png" title="036-schliesse-TextGridLab2.png"/> the TextGridLab
              </li>
            </ul>
            <p class="itemize">
              If the oXygen XML editor is installed, a URL for a FTP or SFTP connection can be opened with the oXygen WebDAV support.
            </p>
            <p class="noindent">
              The item labelled <strong>“Edit”</strong> offers operations for the <a href="XML-Editor_7439318.html">XML Editor</a> and the <a href="Text-Image-Link-Editor_7439374.html">Text Image Link Editor</a>, such as "Undo", "Cut" and "Paste" or "Find and Replace".
            </p>
            <p class="noindent">
              Under the item labelled <strong>“XML”</strong> you can find functions for working with XML code in the XML Editor. Therefore, "XML" will be discussed more fully in the menu bar chapter about the <a href="Menu-Bar-of-the-XML-Editor-Perspective_7439326.html">XML Editor</a>.
            </p>
            <p class="noindent">
              The item labelled <strong>“Tools”</strong> allows you to open the most important tools at any time. Using the sub-item “Show View” you can open the TextGrid views, i.e. the <a href="Navigator_7439188.html">Navigator</a>, the <a href="Dictionary-Search-Results-View_7439439.html">Dictionary Results View</a>, the <a href="Metadata-Editor_7439270.html">Metadata Editor</a> and the <a href="Unicode-Character-Table_7439299.html">Unicode Character Table</a><span class="stmary-10x-x-109"> </span>(in addition to others that are, for the most part, described in the Eclipse documentation: <a class="external-link" href="http://www.eclipse.org/documentation/" rel="nofollow"><span class="cmtt-10x-x-109">http://www.eclipse.org/documentation/).</span></a>
            </p>
            <p class="noindent">
              The item labelled <strong>“Window”</strong> enables you to open a new editor view if an editor is already open, using this icon (<img class="confluence-embedded-image" src="attachments/7439169/8192231.png" data-image-src="attachments/7439169/8192231.png" title="086-oeffne-ImNeuenEditor.png"/>). Furthermore, it offers you options to aid in navigating the Laboratory, since you can
            </p>
            <ul class="itemize1">
              <li class="itemize">define the appearance of "fast views" when opened using the sub-item "Navigation <img class="confluence-embedded-image" src="attachments/7439169/8192233.png" data-image-src="attachments/7439169/8192233.png" title="087-zeige_NavigationGruppe.png"/> &gt; Quick Access"
              </li>
              <li class="itemize">open and switch between editors
              </li>
              <li class="itemize">minimize and maximize open editors
              </li>
              <li class="itemize">choose the previous perspective, editor, or view
              </li>
            </ul>
            <p class="noindent">
              In <strong>“Window”</strong> you can also change the preferences (<img class="confluence-embedded-image" src="attachments/7439169/8192235.png" data-image-src="attachments/7439169/8192235.png" title="101-zeige-Grundeinstellungen3.png"/>). Most of the possibilities are described in the Eclipse documentation (<a class="external-link" href="http://www.eclipse.org/documentation/" rel="nofollow"><span class="cmtt-10x-x-109">http://www.eclipse.org/documentation/)</span></a>, but some preferences will affect the TextGridLab directly:
            </p>
            <ul class="itemize1">
              <li class="itemize">The “TextGrid Content Types and File Extension Mapping” configures the mapping between TextGrid Content Types (as regular expression matching the content type metadata field of objects) and the internal file extensions.
              </li>
              <li class="itemize">In the “TextGridLab Dialog Settings” the user can choose if CRUD warnings should be shown to indicate database problems.
              </li>
              <li class="itemize">In “TextGridLab Server and Proxy,” the proxy server and compressed data transfer can be configured.
              </li>
            </ul>
            <p class="itemize">
              There are also some possibilities to change the preferences of different modules that might have been installed.
            </p>
            <p class="noindent">
              Under <strong>“Help”</strong> in the menu bar, you can
            </p>
            <ul>
              <li class="itemize">open the Welcome Screen
              </li>
              <li class="itemize">view and change your authentication data
              </li>
              <li class="itemize">use the <a href="Help_7439487.html">Help</a> function
              </li>
              <li class="itemize">report a bug and save the logfile
              </li>
              <li class="itemize">view keyboard shortcuts by clicking “Key Assist...”
              </li>
              <li class="itemize">handle software updates
              </li>
              <li class="itemize">receive additional tools and services via the "<a href="Marketplace_8130167.html">Eclipse Marketplace</a>"
              </li>
              <li class="itemize">receive information about the current TextGrid version
              </li>
            </ul>
            <p class="itemize">
              Some modules like the oXygen XML editor also offer some features in the "Help" menu if installed.
            </p>
          </div>
          
        </div>
      </div>
      <div id="footer" role="contentinfo">
        <section class="footer-body">
          
          <div id="footer-logo">
            <a href="http://www.atlassian.com/">Atlassian</a>
          </div>
        </section>
      </div>
    </div>
  </body>
</html>
